View Issue Details

IDProjectCategoryView StatusLast Update
0000198Adventure PHP FrameworkNeues Feature // New Featurepublic2015-10-12 12:19
ReporterChristianAchatzAssigned ToChristianAchatz 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.1 
Target Version3.0Fixed in Version3.0 
Summary0000198: Allow hide() and show() for form element group
DescriptionATM, form elements can be displayed or hidden via hide() and show() methods. Within this issue a concept should be create to

a) group form elements (e.g. template wrapper)
b) hide/show group of form elements

The grouping element should be a transparent proxy to allow filtering and validation as known from pre-2.2 versions.
Additional Information<html:form ...>

   <form:group name="">
      <form:label ... />
      <form:text ... />
   <form:group>

</html:form>
Tagsform
Codereferenz: ([Datei]:[Zeile])
Namespacetools

Activities

ChristianAchatz

2014-08-23 17:42

administrator   ~0000487

Last edited: 2014-09-05 18:42

View 2 revisions

Implementation done (see e.g. https://github.com/AdventurePHP/code/commit/dbb928374cfdd8dddf08ba54f728c3aa1a49e5dd). Documentation to be updated.

ChristianAchatz

2014-09-06 10:28

administrator   ~0000492

Documentation done.

Issue History

Date Modified Username Field Change
2014-05-30 12:27 ChristianAchatz New Issue
2014-06-01 17:41 jwlighting Tag Attached: form
2014-08-14 19:46 ChristianAchatz Assigned To => ChristianAchatz
2014-08-14 19:46 ChristianAchatz Status new => assigned
2014-08-23 17:42 ChristianAchatz Note Added: 0000487
2014-09-05 18:42 ChristianAchatz Note Edited: 0000487 View Revisions
2014-09-06 10:28 ChristianAchatz Note Added: 0000492
2014-09-06 10:28 ChristianAchatz Status assigned => resolved
2014-09-06 10:28 ChristianAchatz Fixed in Version => 3.0
2014-09-06 10:28 ChristianAchatz Resolution open => fixed
2015-10-12 12:19 ChristianAchatz Status resolved => closed